## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XsltExecutable

    public class XsltExecutable

implements object

  An `XsltExecutable` represents the compiled form of a stylesheet. To execute the stylesheet, it must first be loaded to form an `XsltTransformer`.

  An `XsltExecutable` is immutable, and therefore thread-safe. It is simplest to load a new `XsltEvaluator` each time the stylesheet is to be run. However, the `XsltEvaluator` is serially reusable within a single thread.

  An `XsltExecutable` is created by using one of the `Compile` methods on the `XsltCompiler` class.

Method Summary
`XsltTransformer` | `Load()` Load the stylesheet to prepare it for execution.

Method Detail

### Load

    public XsltTransformer Load()

  Load the stylesheet to prepare it for execution.

  returns
    An `XsltTransformer`. The returned `XsltTransformer` can be used to set up the dynamic context for stylesheet evaluation, and to run the stylesheet.